# Define the organization's license

Every organization has a license which is a collection of parameters that define access to features, such as custom variables, and limit consumables and assets, such as operations and data stores. You can use these parameters to do the following:

* Offer multiple tiers of access. For example, offering your customers more operations or data stores based on their contracts.
* Control resource usage on your instance. For example, limits on API calls or time between scenario runs.

<table><thead><tr><th width="240">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>auditLogsDays</code></td><td>Use this integer parameter to specify how many days of event history the Audit Logs will store. Currently, the maximum supported duration is 365 days.</td></tr><tr><td><code>analyticsAccess</code></td><td>Use this boolean parameter to define if the Analytics page is available.</td></tr><tr><td><code>operations</code></td><td><p>Use this parameter to limit the number of operations available for your customer's organization.</p><p>This limit renews according to the value of the <code>restartPeriod</code> parameter.</p></td></tr><tr><td><code>transfer</code></td><td><p>Use this parameter to limit the amount of data that the organization's scenarios can transfer.</p><p>This limit renews according to the value of the <code>restartPeriod</code> parameter.</p></td></tr><tr><td><code>interval</code></td><td>Use this parameter to set the shortest time in minutes between two scheduled scenario runs.</td></tr><tr><td><code>fslimit</code></td><td>Use this parameter to limit the file size that the organization's scenarios can process.</td></tr><tr><td><code>iolimit</code></td><td>Use this parameter to limit the size of webhook queues for the organization.</td></tr><tr><td><code>dslimit</code></td><td>Use this parameter to limit the number of data stores that the organization can have.</td></tr><tr><td><code>dsslimit</code></td><td>Use this parameter to limit the total storage capacity for all data stores in the organization.</td></tr><tr><td>(Deprecated) <code>productManagement</code></td><td><p>This parameter has no impact on white-label instances. Use the following value in all cases:</p><p><code>salesforce</code></p></td></tr><tr><td>(Deprecated)<br><code>gracePeriod</code></td><td><p>This parameter has no impact on white-label instances. Use the following value in all cases:</p><p><code>7</code></p></td></tr><tr><td><code>fulltext</code></td><td><p>Use this boolean parameter to enable full-text search in the scenario history log.</p><p>Once enabled, scenario executions are indexed with full-text search capabilities moving forward. However, there is no impact on previously run executions. Only scenario executions after enabling this feature are available for searching via full text.</p></td></tr><tr><td><code>scenarios</code></td><td>Use this parameter to limit the number of active scenarios that the organization can have.</td></tr><tr><td><code>advsched</code></td><td>Use this boolean parameter to enable access to advanced scenario scheduling.</td></tr><tr><td><code>apiLimit</code></td><td><p>Use this parameter to limit of API requests per 1 minute per organization.</p><p>Define this parameter as 0 to disable API access.</p></td></tr><tr><td><code>executionTime</code></td><td>Use this parameter to limit the amount of time in minutes that a single scenario can run.</td></tr><tr><td><code>customVariables</code></td><td><p>Use this boolean parameter to enable custom variables in scenarios. Access applies to all users in the organization who can create and edit scenarios but only in the context of that specific organization.</p><p>Depends on the system flag <code>feature_variables</code>.</p></td></tr><tr><td><code>creatingTemplates</code></td><td><p>Use this boolean parameter to let users in the organization create scenario templates.</p><p>This parameter allows your internal developers to create custom templates to share with your customers.</p></td></tr><tr><td><code>installPublicApps</code></td><td><p>Use this boolean parameter to let users in the organization access custom apps created by someone outside of the organization created.</p><p>One possible use case is for your internal apps developers to collaborate across organizations.</p></td></tr><tr><td><code>restartPeriod</code></td><td>Use this parameter to define how often an organization's consumables (operations, etc.) renew. You can choose between a monthly or an annual reset cycle.</td></tr><tr><td><code>teams</code></td><td>Use this parameter to limit the number of teams that an organization can have.</td></tr><tr><td><code>appslimit</code></td><td>Use this parameter to limit the total number of connection-based apps for all of an organization's active scenarios. For example, 10 means a maximum limit of 10 connection-based apps for an organization's active scenarios.</td></tr><tr><td><code>retention</code></td><td><p>Use this parameter to define how long your instance stores logs (such as execution logs) for the organization.</p><p>Default value is 60 days if not set.</p></td></tr><tr><td><code>premiumApps</code></td><td>Use this parameter to allow access to premium app tiers. To fully implement app tiers, you must also define an app's tier level.</td></tr><tr><td><code>dlqStorage</code></td><td>Use this parameter to limit storage for incomplete executions.</td></tr><tr><td><code>scenarioIO</code></td><td><p>Use this boolean parameter to allow access to the scenario inputs feature.</p><p>Depends on system flags feature_variables and feature_scenario_inputs</p></td></tr><tr><td><code>customProperties</code></td><td><p>Use this integer parameter to enable the custom scenario properties feature. With custom properties, your users can add custom metadata to scenarios and use them to sort and filter their scenarios.</p><p><code>0</code> to disable <a href="https://www.make.com/en/help/scenarios/custom-scenario-properties">custom scenario properties</a> for an organization.</p><p><code>1</code> or higher to define the number of custom scenario properties an organization can create.</p></td></tr><tr><td><code>dynamicDependencies</code></td><td><p>Use this boolean parameter to define if dynamic dependencies are allowed in scenarios.</p><p>By default, this parameter is set to false, which means dynamic dependencies are not allowed. If set to true, it enables the usage of dynamic dependencies in scenarios.</p></td></tr><tr><td><code>dynamicConnections</code></td><td><p>Use this boolean parameter to enable the use of connections in scenario inputs and map them in modules.</p><p>By default, this parameter is set to false, meaning that this feature is not enabled. However, in order to use <code>dynamicConnections</code>, you need to have the <code>dynamicDependencies</code> flag turned on. If set to true, it allows you to call scenarios with arbitrary connections.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/white-label-documentation/manage-the-end-user-life-cycle/provision-new-users/define-the-organizations-license.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
